import { forwardRef, Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CarritoMotivoController } from './carrito-motivo.controller';
import { CaritoMotivoService } from './carrito-motivo.service';
import { CarritoMotivo } from './entity/carrito-motivo.entity';
import { CarritoModule } from '../carrito/carrito.module';
import { OperadorModule } from '../operador/operador.module';
import { StatusModule } from '../status/status.module';

@Module({
  imports: [
    forwardRef(() => CarritoModule),
    OperadorModule,
    StatusModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([CarritoMotivo]),
  ],
  controllers: [CarritoMotivoController],
  providers: [CaritoMotivoService],
  exports: [CaritoMotivoService],
})
export class CarritoMotivoModule {}
