import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionCarreraController } from './institucion-carrera.controller';
import { InstitucionCarreraService } from './institucion-carrera.service';
import { Carrera } from './entity/carrera.entity';
import { InstitucionCarrera } from './entity/institucion-carrera.entity';
import { Nivel } from './entity/nivel.entity';
import { InstitucionModule } from '../institucion/institucion.module';

@Module({
  imports: [
    InstitucionModule,
    TypeOrmModule.forFeature([Carrera, InstitucionCarrera, Nivel]),
  ],
  controllers: [InstitucionCarreraController],
  providers: [InstitucionCarreraService],
  exports: [InstitucionCarreraService],
})
export class InstitucionCarreraModule {}
