import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ModuloController } from './modulo.controller';
import { ModuloService } from './modulo.service';
import { Modulo } from './entity/modulo.entity';
import { InstitucionModule } from '../institucion/institucion.module';

@Module({
  imports: [
    InstitucionModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([Modulo]),
  ],
  controllers: [ModuloController],
  providers: [ModuloService],
  exports: [ModuloService],
})
export class ModuloModule {}
