import {
  IsInt,
  IsNotEmpty,
  IsOptional,
  IsString,
  MaxLength,
} from 'class-validator';

export class RegresarNumeroInventarioDto {
  @IsInt()
  id_operador: number;

  @IsString()
  numero_inventario: string;

  @IsString()
  @IsNotEmpty()
  @MaxLength(250)
  @IsOptional()
  descripcion?: string;

  @IsInt()
  @IsOptional()
  id_institucion_infraccion?: number;
}
