import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { UsuarioController } from './usuario.controller';
import { UsuarioService } from './usuario.service';
import { Usuario } from './entity/usuario.entity';
import { BcryptModule } from '../bcrypt/bcrypt.module';
import { InstitucionModule } from '../institucion/institucion.module';
import { InstitucionCarreraModule } from '../institucion-carrera/institucion-carrera.module';
import { InstitucionUsuarioModule } from '../institucion-usuario/institucion-usuario.module';
import { NodemailerModule } from '../nodemailer/nodemailer.module';
import { SoapClientModule } from '../soap-client/soap-client.module';
import { TipoUsuarioModule } from '../tipo-usuario/tipo-usuario.module';

@Module({
  imports: [
    BcryptModule,
    InstitucionModule,
    InstitucionCarreraModule,
    InstitucionUsuarioModule,
    NodemailerModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    SoapClientModule,
    TipoUsuarioModule,
    TypeOrmModule.forFeature([Usuario]),
  ],
  controllers: [UsuarioController],
  providers: [UsuarioService],
  exports: [UsuarioService],
})
export class UsuarioModule {}
